Subject: Re: [bug#73615] [PATCH] gnu: gdb: Update to 15.2.

From: Greg Hogan <[email-masked]>
Date: Sun, 6 Oct 2024 07:05:36 -0400

On Thu, Oct 3, 2024 at 6:04 PM Ashish SHUKLA <[email-masked]> wrote:
>
> I'm not sure the point of having an indirect reference, so this is why I
> have not updated the `gdb' variable.

Yes, that's a nice observation, if we only have one public choice then
why the default selector?

'guix refresh' shows gdb with 414 dependent packages. It would be
helpful if that partial dependency tree could be exported as in 'guix
graph' to better identity packages which could be pinned to reduce
that number. Even a simple option, means, or tool to filter out leaves
would greatly reduce the list.